# Analyser un contrôle

Le menu **Analyse** donne accès à la liste des analyses effectuées. L’interface est composée de deux parties :
*   la liste des contrôles (en haut de l’interface),
*   le rapport (en bas de l’interface).

![](../Ressources/Images/analyse_808x635.png)

## Liste des contrôles

La liste affiche tous les contrôles effectués sur les jeux de données avec les informations principales suivantes : 
*   l’identifiant du contrôle,
*   le nom du contrôle,
*   le nombre d’erreurs,
*   le nom du schéma de contraintes,
*   la durée du traitement,
*   la date du contrôle.

Par ailleurs, en cliquant sur un contrôle, la partie droite de l’interface donne accès aux métadonnées du contrôle en précisant le jeu de données utilisé, le format source, le système de coordonnées, les versions logicielles, la version du schéma de contraintes et l’auteur du traitement. Le log du traitement est accessible en cliquant sur le lien **Log** et il est possible d’intégrer un commentaire au contrôle.
### Générer un rapport

Le bouton ![](../Ressources/Images/generer_rapport.PNG) permet de générer un rapport en ayant au préalable sélectionné un contrôle.

L’interface de génération des rapports s’affiche.

![](../Ressources/Images/generate_report.PNG)


Sélectionner ensuite le format d’export du rapport (docx, html ou pdf).

### Barre d’outils Analyse

Le bouton ![](../Ressources/Images/filtre.png)permet d’accéder à la fenêtre de **Filtre** des contrôles .

L’utilisateur sélectionne un ou plusieurs contrôles à afficher en fonction de l’auteur, du schéma, de la date...puis clique sur **Filtre** pour afficher les contrôles désirés.

Le bouton ![](../Ressources/Images/rafraichir.PNG) permet d’annuler une sélection et le bouton ![](../Ressources/Images/delete.PNG) permet de supprimer les contrôles sélectionnés. Un message d’avertissement s’affiche lors de toute demande de suppression : pour la valider, l’utilisateur clique sur **Oui**.

Le bouton ![](../Ressources/Images/inspector.png) permet de visualiser les données en erreur dans FME Data Inspector.

Le bouton d’export du contrôle permet d’exporter dans le format de son choix les erreurs retournées par un contrôle de sorte à pouvoir les visualiser dans une application tierce. Il est possible de répartir les erreurs générées soit par type d’erreur, soit par type d’entité. Le fait de choisir **Regrouper** n'effectue aucune répartition pour l’export des données.

Le bouton ![](../Ressources/Images/play.png) permet de relancer un traitement avec les paramètres du contrôle sélectionné.

#### Rapport de contrôle

La partie Rapport, organisée en onglets, affiche les résultats statistiques et erreurs du ou des contrôles préalablement sélectionnés.

### Onglet Erreurs

Cet onglet représente pour chaque contrôle sélectionné, les erreurs présentes dans le jeu de données.

![](../Ressources/Images/onglet_erreur_698x277.png)

Les erreurs sont listées par classes. Le **Type d’erreur** et le **Type d’entité** sont affichés.

Le champ **Entité** correspond à la clé primaire de l’entité sur laquelle une erreur a été trouvée. Si l’erreur concerne une entité sans clé primaire, alors la cellule est vide.

[Consulter la liste des types d’erreurs](../04-ContraintesRessources/02.ListeErreurs.html).

L’attribut concerné par l’erreur est ensuite affiché dans le champs **Attribut** et le détail de l’erreur apparaît dans le champs **Erreur**.

Le champ **Exception** permet au contrôleur de spécifier qu’une valeur retournée par Qualigéo est acceptable et qu’elle ne doit pas être considérée comme une véritable erreur. Elle devient ainsi une exception.

Il est ensuite possible de saisir un commentaire sur l’erreur dans le champs **Commentaire.**

### Onglet Stats Types d’entité

L’onglet **Stats Type d’entité** affiche le nombre d’entités par type d’entité. Un clic sur le nom d’une colonne permet de trier les enregistrements par ordre alphabétique ou numérique.

![](../Ressources/Images/interface_Stats_type_entite_391x363.png)

Le jeu de données analysé ci-dessus comporte par exemple, 384 communes, 16 lots et 16 projets.

### Stats chaînes de caractères

Cet onglet représente, pour chaque contrôle sélectionné, les statistiques sur les valeurs de type chaînes de caractères présentes dans le jeu de données. Le nombre total d’entités par attribut, les nombres d’entités nulles et non nulles sont ainsi affichés.

Un clic sur le nom d’une colonne permet de trier les enregistrements.

![](../Ressources/Images/Interface_stats_chaine_caracteres_583x563.png)

Les statistiques affichées ci-dessus montre que le type d’entité LOTS comporte 16 entités non nulles ayant un attribut "Descriptif".

### Stats Domaines

Cet onglet représente, pour chaque contrôle sélectionné, des statistiques sur les valeurs de type domaine présentes dans le jeu de données.

Pour chaque attribut de type domaine, sont listées les différentes **valeurs** possibles et le nombre **total d’occurences** par valeur.

Un clic sur le nom d’une colonne permet de trier les enregistrements.

![](../Ressources/Images/Interface_stat_domaine_615x383.png)

Dans l’exemple ci-dessus, 3 entités ont la valeur J pour l’attrbut cdn_LvDegreDN et 3 ont la valeur 2a.

### Stats Numériques

Cet onglet représente, pour chaque contrôle sélectionné, des statistiques sur les valeurs numériques présentes dans le jeu de données.

Pour chaque attribut de type numérique, sont affichées les valeurs mininimales (**Min**) et maximales (**Max)**, la **médiane**, le nombre total de valeurs **(Nb.val.)**, le nombre total de valeurs numériques **(Nb.val.numeriques)**, la **somme** et **moyenne**, l’**écart type** et le **mode**.

N.B : La valeur -9999999 représentent des valeurs incalculables. Il est par exemple, impossible de calculer un écart type sur la valeur d’une seule entité, dans ce cas de figure l’écart-type prend alors la valeur de -9999999.

![](../Ressources/Images/Interface_stat_numerique_722x234.png)
