# Liste des contraintes

Le tableau ci-dessous liste les contraintes définissables dans Qualigéo.

<table border="1px solid grey" style="padding=2px; border-color:grey;">
            <col style="width: auto;" />
            <col style="width: auto;" />
            <col style="width: auto;" />
            <col style="width: auto;" />
            <tr>
                <td>Contrainte</td>
                <td>Explication / Ressource</td>
                <td style="text-align: center;">Erreur(s) </td>
                <td style="text-align: center;">Libellé de l’erreur </td>
            </tr>
            <tr>
                <td style="text-align: left;">Contrainte sur l’Interprétation de la géométrie</td>
                <td style="text-align: left;">
                    <p class="texte"> <span style="font-size: 10pt;">Vérifie les coordonnées des géométries et leur interprétation</span></p>
                    <p><a href="./03.02.TypeGeometrie.html" style="font-size: 8pt;">En savoir plus sur les contraintes d’inteprétation et de type de géométrie</a>
                    </p>
                </td>
                <td style="text-align: left;"><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.01.DefinitionTypesEntites.html#type-de-geometrie-et-interpretation-de-la-geometrie">E0002</a>
                </td>
                <td style="text-align: left;">Géométrie non conforme (interprétation de la géométrie).</td>
            </tr>
            <tr>
                <td style="text-align: left;">Contrainte présence d’attribut  </td>
                <td style="text-align: left;">Vérifie la présence des attributs et détecte la présence d’attribut en trop. </td>
                <td style="text-align: left;"><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/02.04.CreationSchemaVierge.html#type-dentites-et-attribut-non-definis">E0003</a>
                </td>
                <td style="text-align: left;">Attribut non autorisé</td>
            </tr>
            <tr>
                <td style="text-align: left;">Contrainte d’existence obligatoire d’attribut </td>
                <td style="text-align: left;">Vérifie la présence des attributs et détecte l’absence d’attribut.</td>
                <td style="text-align: left;"><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/02.04.CreationSchemaVierge.html#type-dentites-et-attribut-non-definis">E0004</a>
                </td>
                <td style="text-align: left;">Attribut obligatoire absent</td>
            </tr>
            <tr>
                <td style="text-align: left;">Contrainte d’existence d’un Type d’entité</td>
                <td style="text-align: left;">Vérifie la présence/absence de type d’entité</td>
                <td style="text-align: left;"><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.01.DefinitionTypesEntites.html#existence">E0005 et E0006</a>
                </td>
                <td style="text-align: left;">Type d’entité obligatoire absent</td>
            </tr>
            <tr>
                <td style="text-align: left;">Contrainte sur la Longueur max d’attribut</td>
                <td style="text-align: left;">Vérifie la longueur des attributs</td>
                <td style="text-align: left;"><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.02.DefinitionContraintesAttributs.html#longueur-dattribut/01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.02.DefinitionContraintesAttributs.html#longueur-dattribut">E0007</a>
                </td>
                <td style="text-align: left;">Taille de l’attribut trop grande</td>
            </tr>
            <tr>
                <td style="text-align: left;">Contrainte d’unicité</td>
                <td style="text-align: left;">Une contrainte d’unicité garantit l’unicité de données contenues dans un attribut. Elle exige que toutes les valeurs d’un attribut soient uniques. </td>
                <td style="text-align: left;"><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.03.DefinitionContraintesUnicite.html">E0008</a>
                </td>
                <td style="text-align: left;">Violation de la contrainte d’unicité</td>
            </tr>
            <tr>
                <td style="text-align: left;">Contrainte sur la nullité de  valeur </td>
                <td style="text-align: left;">Vérifie la nullité d’attribut</td>
                <td style="text-align: left;"><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.02.DefinitionContraintesAttributs.html#valeur-obligatoire">E0009</a>
                </td>
                <td style="text-align: left;">Violation de contrainte de non nullité</td>
            </tr>
            <tr>
                <td style="text-align: left;">Contrainte sur domaine de valeurs </td>
                <td style="text-align: left;">Vérifie si les valeurs d’attributs sont dans une plage définie. </td>
                <td style="text-align: left;"><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.02.DefinitionContraintesAttributs.html#domaine-de-valeurs">E0010</a>
                </td>
                <td style="text-align: left;">Valeur d’attribut hors domaine</td>
            </tr>
            <tr>
                <td style="text-align: left;">Contrainte de relation spatiale</td>
                <td style="text-align: left;">
                    <p class="texte" style="font-size: 10pt;">Vérifie les relations spatiales entre deux types d’entité </p>
                    <p style="font-size: 10pt;"><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/05.DefinitionContraintesRelationsSpatiales.html"><span style="font-size: 8pt;">En savoir plus sur les </span><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/05.DefinitionContraintesRelationsSpatiales.html" style="font-size: 8pt;">contraintes de relations spatiales </a></a>
                    </p>
                </td>
                <td style="text-align: left;"><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/05.DefinitionContraintesRelationsSpatiales.html">E0011</a>
                </td>
                <td style="text-align: left;">Violation de la contrainte de relation spatiale</td>
            </tr>
            <tr>
                <td style="text-align: left;">Contraintes de Valeur d’attribut définie par Expression régulière</td>
                <td style="text-align: left;">
                    <p class="texte">Vérifie la valeur d’attribut</p>
                    <p><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.02.DefinitionContraintesAttributs.html#expression-reguliere" style="font-size: 8pt;">En savoir plus sur les contraintes définies pas expressions régulières</a>
                    </p>
                </td>
                <td style="text-align: left;"><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.02.DefinitionContraintesAttributs.html#expression-reguliere">E0012</a>
                </td>
                <td style="text-align: left;">Valeur d’attribut hors expression régulière</td>
            </tr>
            <tr>
                <td style="text-align: left;">Contrainte de tesselation </td>
                <td style="text-align: left;">
                    <p><span style="font-size: 10pt;">Vérifie la topologie entre entités</span>
                    </p>
                    <p><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.05.DefinitionContraintesTopologiques.html#caracteristiques-de-contraintes-topologique" style="font-size: 8pt;">En savoir plus sur les contraintes topologique (tesselation)</a>
                    </p>
                </td>
                <td style="text-align: left;"><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.05.DefinitionContraintesTopologiques.html#caracteristiques-de-contraintes-topologique">E0014 et E0015</a>
                </td>
                <td style="text-align: left;">Violation de la contrainte de tesselation </td>
            </tr>
            <tr>
                <td style="text-align: left;">Contraintes de géométrie selon standards OGC&#160;</td>
                <td style="text-align: left;">
                    <p><span style="font-size: 10pt;">Vérifie la géométrie d’entités selon les normes définies par l’OGC</span>
                    </p>
                    </p>
                </td>
                <td style="text-align: left;"><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.01.DefinitionTypesEntites.html#existence">E0018 à E0029</a>
                </td>
                <td style="text-align: left;">Géométrie non valide </td>
            </tr>
            <tr>
                <td style="text-align: left;">Contrainte de cardinalité</td>
                <td style="text-align: left;">
                    <p><span style="font-size: 10pt;">Vérifie les cardinalités entre types d’entité enfant et parents. </span>
                    </p>
                    <p><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/04.DefinitionContraintesCardinalites.html" style="font-size: 8pt;">En savoir plus sur les contraintes de cardinalités</a>
                    </p>
                </td>
                <td style="text-align: left;"><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/04.DefinitionContraintesCardinalites.html">E0030 à E0033</a>
                </td>
                <td style="text-align: left;">Violation de la contrainte de cardinalité </td>
            </tr>
            <tr>
                <td style="text-align: left;">Contrainte de format date </td>
                <td style="text-align: left;">
                    <p><span style="font-size: 10pt;">Vérifie le formalisme des champs de type Date. </span>
                    </p>
                    <p><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.02.DefinitionContraintesAttributs.html#date" style="font-size: 8pt;">En savoir plus sur les formats de date</a>
                    </p>
                </td>
                <td style="text-align: left;"><a href="../02-SpecifierSchemaContraintes/03.02.DefinitionContraintesAttributs.html#date">E0034</a>
                </td>
                <td style="text-align: left;">Date non conforme</td>
            </tr>
            <tr>
                <td style="text-align: left;">Contrainte spécifique sur type d’entité</td>
                <td style="text-align: left;">
                    <p class="texte" style="font-size: 10pt;">Appelle une fonction spécifique spécifiée par le Designer et retourne une erreur spécifique.</p>
                    <p><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.04.DefinitionContraintesSpecifiques.html#definition-de-contraintes-specifiques-sur-lentite-dans-larbre" style="font-size: 8pt;">En savoir plus sur les langages de définition de contraintes spécifiques</a>
                    </p>
                </td>
                <td style="text-align: left;"><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.04.DefinitionContraintesSpecifiques.html#definition-de-contraintes-specifiques-sur-lentite-dans-larbre">E0035</a>
                </td>
                <td style="text-align: left;">Non respect d’une contrainte spécifique Type (définie par code) sur l’entité</td>
            </tr>
            <tr>
                <td style="text-align: left;">Contrainte de domaine spatial - système de coordonnées de référence </td>
                <td style="text-align: left;">
                    <p class="texte" style="font-size: 10pt;">Vérifie l’étendue et le système de coordonnées d’un jeu de données. </p>
                </td>
                <td style="text-align: left;"><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/02.04.CreationSchemaVierge.html#restreindre-a-un-systeme-de-coordonnees-de-reference">E0036 E0037</a>
                </td>
                <td style="text-align: left;">Non respect du domaine spatial. Système de coordonnées différent du système de référence.</td>
            </tr>
            <tr>
                <td style="text-align: left;">Contrainte de type de géométrie</td>
                <td style="text-align: left;">
                    <p> <span style="font-size: 10pt;">Vérifie les coordonnées des géométries et leur interprétation. </span></p>
                    <p><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.01.DefinitionTypesEntites.html" style="font-size: 8pt;">En savoir plus sur les contraintes d’interprétation et de type de géométrie</a>
                    </p>
                </td>
                <td style="text-align: left;"><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.01.DefinitionTypesEntites.html">E0038</a>
                </td>
                <td style="text-align: left;">Géométrie non conforme (type de géométrie).</td>
            </tr>
            <tr>
                <td style="text-align: left;">Contrainte de plage de valeur numérique sur attribut </td>
                <td style="text-align: left;">Vérifie si les valeurs numériques d’attributs sont dans une plage définie. </td>
                <td style="text-align: left;"><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.02.DefinitionContraintesAttributs.html#valeur-numerique-min-et-max">E0039 et E0040</a>
                </td>
                <td style="text-align: left;">Valeur d’attribut inférieure au minimum</td>
            </tr>
            <tr>
                <td style="text-align: left;">Contrainte de type d’attribut</td>
                <td style="text-align: left;">Vérifie le type des attributs (alphanumérique, entier, numérique). </td>
                <td style="text-align: left;"><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.02.DefinitionContraintesAttributs.html#type-dattributs">E0043</a>
                </td>
                <td style="text-align: left;">Type d’attribut non conforme</td>
            </tr>
            <tr>
                <td style="text-align: left;">Contrainte de présence de Type d’entité</td>
                <td style="text-align: left;">Vérifie la présence /absence de type d’entité</td>
                <td style="text-align: left;"><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/02.04.CreationSchemaVierge.html#type-dentites-et-attribut-non-definis">E0044</a>
                </td>
                <td style="text-align: left;">Type d’entité non défini</td>
            </tr>
            <tr>
                <td style="text-align: left;">Contrainte Python sur entité</td>
                <td style="text-align: left;">
                    <p><span style="font-size: 10pt;">Appelle une fonction spécifique sur une entité, créée par le Designer et retourne une erreur spécifique. </span>
                    </p>
                </td>
                <td style="text-align: left;"><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.04.DefinitionContraintesSpecifiques.html#definition-de-contraintes-specifiques-sur-lentite-dans-larbre">E0045</a>
                </td>
                <td style="text-align: left;">Violation de la contrainte Python sur l’entité</td>
            </tr>
            <tr>
                <td style="text-align: left;">
                    <p style="font-size: 10pt;">Contrainte spécifique sur  valeur d’attribut (python)</p>
                    <p>&#160;</p>
                </td>
                <td style="text-align: left;">
                    <p><span style="font-size: 10pt;">Appelle une fonction spécifique sur un attribut, créée par le Designer et retourne une erreur spécifique.</span>
                    </p>
                </td>
                <td style="text-align: left;"><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.02.DefinitionContraintesAttributs.html#contraintes-specifiques-sur-lattribut">E0047 </a>
                </td>
                <td style="text-align: left;">Valeur d’attribut hors expression régulière décrite par code python</td>
            </tr>
            <tr>
                <td style="text-align: left;">Contrainte spécifique sur jeu de données (pyhton)</td>
                <td style="text-align: left;">
                    <p><span style="font-size: 10pt;">Appelle une fonction spécifique sur un jeu de données, créée par le Designer et retourne une erreur spécifique.</span>
                    </p>
                </td>
                <td style="text-align: left;"><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/07.DefinitionContraintesCode.html#edition-de-codes-tcl-et-python">E0048</a>
                </td>
                <td style="text-align: left;">Violation de la contrainte spécifique (Python) sur le jeu de données</td>
            </tr>
            <tr>
                <td style="text-align: left;">Contrainte de construction</td>
                <td style="text-align: left;">Vérifie la géométrie d’un type d’entité par rapport à la géométrie d’un type d’entité de référence. <p class="texte" style="font-weight: normal;"><span style="font-size: 8pt;"> </span><a href="../04-ContraintesRessources/03.03.ContraintesConstruction" style="font-size: 8pt;">En savoir plus sur les contraintes de construction</a></p></td>
                <td style="text-align: left;"><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/02.04.CreationSchemaVierge.html">E0050 à E0052</a>
                </td>
                <td style="text-align: left;">Erreur de contrainte de construction</td>
            </tr>
            <tr>
                <td style="text-align: left;">Contrainte définie par format personnalisé </td>
                <td style="text-align: left;">
                    <p>&#160;</p>
                    <p><span style="font-size: 10pt;">Vérifie une contrainte définie via un format personnalisé importé dans Qualigéo</span>. </p>
                </td>
                <td style="text-align: left;">E0055
                </td>
                <td style="text-align: left;">Erreur définie et testée dans le format personnalisé</td>
            </tr>
        </table>


<style type="text/css">
.tg  {border-collapse:collapse;border-spacing:0;}
.tg td{border-color:black;border-style:solid;border-width:1px;font-family:Arial, sans-serif;font-size:14px;
  overflow:hidden;padding:10px 5px;word-break:normal;}
.tg th{border-color:black;border-style:solid;border-width:1px;font-family:Arial, sans-serif;font-size:14px;
  font-weight:normal;overflow:hidden;padding:10px 5px;word-break:normal;}
.tg .tg-o6tx{background-color:#eae8e8;border-color:#d6d6d6;text-align:left;vertical-align:top}
.tg .tg-0pn5{background-color:#923288;border-color:#d6d6d6;color:#ffffff;text-align:left;vertical-align:top}
.tg .tg-avj4{border-color:#d6d6d6;text-align:left;vertical-align:top}
</style>
<table class="tg">
  <tr>
    <th class="tg-0pn5">Code derreur</th>
    <th class="tg-0pn5">Classe derreur</th>
    <th class="tg-0pn5">Type derreur</th>
    <th class="tg-0pn5">Détail</th>
  </tr>
  <tr>
    <td class="tg-0pn5">E0002</td>
    <td class="tg-avj4">Géométrie</td>
    <td class="tg-avj4">Géométrie non conforme (interprétation de la géométrie).</td>
    <td class="tg-avj4"><br>Vérifie les coordonnées des géométries et leur interprétation&lt;a href="./03.02.TypeGeometrie.html" style="font-size: 8pt;"&gt;En savoir plus sur les contraintes d’inteprétation et de type de géométrie&lt;/a&gt;<br></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0003</td>
    <td class="tg-o6tx">Type d'entité</td>
    <td class="tg-o6tx">Attribut non autorisé.</td>
    <td class="tg-o6tx"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0004</td>
    <td class="tg-avj4">Type d'entité</td>
    <td class="tg-avj4">Attribut obligatoire absent.</td>
    <td class="tg-avj4"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0005</td>
    <td class="tg-o6tx">Jeu de données</td>
    <td class="tg-o6tx">Type d'entité obligatoire absent.</td>
    <td class="tg-o6tx"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0007</td>
    <td class="tg-avj4">Entité</td>
    <td class="tg-avj4">Taille de l'attribut trop grande.</td>
    <td class="tg-avj4"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0008</td>
    <td class="tg-o6tx">Entité</td>
    <td class="tg-o6tx">Violation de la contrainte d'unicité.</td>
    <td class="tg-o6tx"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0009</td>
    <td class="tg-avj4">Entité</td>
    <td class="tg-avj4">Violation de contrainte de non nullité.</td>
    <td class="tg-avj4"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0010</td>
    <td class="tg-o6tx">Entité</td>
    <td class="tg-o6tx">Valeur d'attribut hors domaine.</td>
    <td class="tg-o6tx"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0011</td>
    <td class="tg-avj4">Géométrie</td>
    <td class="tg-avj4">Violation de la contrainte de relation spatiale.</td>
    <td class="tg-avj4"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0012</td>
    <td class="tg-o6tx">Entité</td>
    <td class="tg-o6tx">Valeur d'attribut hors expression régulière.</td>
    <td class="tg-o6tx"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0014</td>
    <td class="tg-avj4">Géométrie</td>
    <td class="tg-avj4">Violation de la contrainte de tesselation : chevauchement.</td>
    <td class="tg-avj4"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0015</td>
    <td class="tg-o6tx">Géométrie</td>
    <td class="tg-o6tx">Violation de la contrainte de tesselation : espace.</td>
    <td class="tg-o6tx"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0017</td>
    <td class="tg-avj4">Jeu de données</td>
    <td class="tg-avj4">Nombre d'erreurs maximum dépassé.</td>
    <td class="tg-avj4"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0030</td>
    <td class="tg-o6tx">Entité</td>
    <td class="tg-o6tx">Violation de la contrainte de cardinalité : Enfant avec trop de parents.</td>
    <td class="tg-o6tx"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0031</td>
    <td class="tg-avj4">Entité</td>
    <td class="tg-avj4">Violation de la contrainte de cardinalité : Enfant sans parent.</td>
    <td class="tg-avj4"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0032</td>
    <td class="tg-o6tx">Entité</td>
    <td class="tg-o6tx">Violation de la contrainte de cardinalité : Parent avec trop d'enfants.</td>
    <td class="tg-o6tx"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0033</td>
    <td class="tg-avj4">Entité</td>
    <td class="tg-avj4">Violation de la contrainte de cardinalité : Parent sans enfant.</td>
    <td class="tg-avj4"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0034</td>
    <td class="tg-o6tx">Entité</td>
    <td class="tg-o6tx">Date non conforme.</td>
    <td class="tg-o6tx"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0035</td>
    <td class="tg-avj4">Entité</td>
    <td class="tg-avj4">Non respect de la contrainte sur l'entité.</td>
    <td class="tg-avj4"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0036</td>
    <td class="tg-o6tx">Géométrie</td>
    <td class="tg-o6tx">Non respect du domaine spatial. Systčme de coordonnées différent du systčme de référence.</td>
    <td class="tg-o6tx"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0037</td>
    <td class="tg-avj4">Géométrie</td>
    <td class="tg-avj4">Non respect du domaine spatial. Données en dehors des bornes.</td>
    <td class="tg-avj4"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0038</td>
    <td class="tg-o6tx">Géométrie</td>
    <td class="tg-o6tx">Géométrie non conforme (type de géométrie).</td>
    <td class="tg-o6tx"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0039</td>
    <td class="tg-avj4">Entité</td>
    <td class="tg-avj4">Valeur d'attribut inférieure au minimum.</td>
    <td class="tg-avj4"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0040</td>
    <td class="tg-o6tx">Entité</td>
    <td class="tg-o6tx">Valeur d'attribut supérieure au maximum.</td>
    <td class="tg-o6tx"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0041</td>
    <td class="tg-avj4">Géométrie</td>
    <td class="tg-avj4">Relation spatiale impossible, géométrie non conforme.</td>
    <td class="tg-avj4"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0042</td>
    <td class="tg-o6tx">Géométrie</td>
    <td class="tg-o6tx">Problème de relation spatiale, géométrie de l'entité liée non conforme.</td>
    <td class="tg-o6tx"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0043</td>
    <td class="tg-avj4">Entité</td>
    <td class="tg-avj4">Type d'attribut non conforme.</td>
    <td class="tg-avj4"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0044</td>
    <td class="tg-o6tx">Jeu de données</td>
    <td class="tg-o6tx">Type d'entité non défini.</td>
    <td class="tg-o6tx"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0045</td>
    <td class="tg-avj4">Entité</td>
    <td class="tg-avj4">Violation de la contrainte Python sur l'entité.</td>
    <td class="tg-avj4"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0046</td>
    <td class="tg-o6tx">Code</td>
    <td class="tg-o6tx">Erreur de codage de la contrainte Python sur l'entité.</td>
    <td class="tg-o6tx"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0047</td>
    <td class="tg-avj4">Entité</td>
    <td class="tg-avj4">Valeur d'attribut hors expression réguličre décrite par code python.</td>
    <td class="tg-avj4"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0048</td>
    <td class="tg-o6tx">Jeu de données</td>
    <td class="tg-o6tx">Violation de la contrainte spécifique (Python) sur le jeu de données.</td>
    <td class="tg-o6tx"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0049</td>
    <td class="tg-avj4">Code</td>
    <td class="tg-avj4">Erreur de codage de la contrainte Python sur l'attribut.</td>
    <td class="tg-avj4"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0050</td>
    <td class="tg-o6tx">Géométrie</td>
    <td class="tg-o6tx">Erreur de contrainte de construction stricte - segment.</td>
    <td class="tg-o6tx"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0051</td>
    <td class="tg-avj4">Géométrie</td>
    <td class="tg-avj4">Erreur de contrainte de construction stricte - vertex.</td>
    <td class="tg-avj4"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0052</td>
    <td class="tg-o6tx">Géométrie</td>
    <td class="tg-o6tx">Erreur de contrainte de construction permissive - segment.</td>
    <td class="tg-o6tx"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0054</td>
    <td class="tg-avj4">Géométrie</td>
    <td class="tg-avj4">Erreur de contrainte de construction permissive - polygone.</td>
    <td class="tg-avj4"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0055</td>
    <td class="tg-o6tx">Format Personnalisé</td>
    <td class="tg-o6tx">Erreur définie et testée dans le format personnalisé.</td>
    <td class="tg-o6tx"></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0057</td>
    <td class="tg-avj4">Géométrie</td>
    <td class="tg-avj4">Géométrie non valide.</td>
    <td class="tg-avj4"></td>
  </tr>
</table>



| Code derreur                                                                                                                                                          | Classe derreur      | Type derreur                                                                              | Détail                                                                                                                                                                                                                                                                                                                                                                                                                                 |
|-----------------------------------------------------------------------------------------------------------------------------------------------------------------------|---------------------|-------------------------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| <a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.01.DefinitionTypesEntites.html#type-de-geometrie-et-interpretation-de-la-geometrie">E0002</a> | Géométrie           | Géométrie non conforme (interprétation de la géométrie).                                  | Vérifie les coordonnées des géométries et leur interprétation<a href="./03.02.TypeGeometrie.html" style="font-size: 8pt;">En savoir plus sur les contraintes d’inteprétation et de type de géométrie</a><a href="./03.02.TypeGeometrie.html" style="font-size: 8pt;">En savoir plus sur les contraintes d’inteprétation et de type de géométrie</a>                                                                                    |
| E0003                                                                                                                                                                 | Type d'entité       | Attribut non autorisé.                                                                    | Vérifie la présence des attributs et détecte la présence d’attribut en trop.                                                                                                                                                                                                                                                                                                                                                           |
| E0004                                                                                                                                                                 | Type d'entité       | Attribut obligatoire absent.                                                              | Vérifie la présence des attributs et détecte l’absence d’attribut.                                                                                                                                                                                                                                                                                                                                                                     |
| E0005                                                                                                                                                                 | Jeu de données      | Type d'entité obligatoire absent.                                                         | Vérifie la présence/absence de type d’entité.                                                                                                                                                                                                                                                                                                                                                                                          |
| E0007                                                                                                                                                                 | Entité              | Taille de l'attribut trop grande.                                                         | Vérifie la longueur des attributs.                                                                                                                                                                                                                                                                                                                                                                                                     |
| E0008                                                                                                                                                                 | Entité              | Violation de la contrainte d'unicité.                                                     | Une contrainte d’unicité garantit l’unicité de données contenues dans un attribut. Elle exige que toutes les valeurs d’un attribut soient uniques.                                                                                                                                                                                                                                                                                     |
| E0009                                                                                                                                                                 | Entité              | Violation de contrainte de non nullité.                                                   | Vérifie la nullité d’attribut.                                                                                                                                                                                                                                                                                                                                                                                                         |
| E0010                                                                                                                                                                 | Entité              | Valeur d'attribut hors domaine.                                                           | Vérifie si les valeurs d’attributs sont dans une plage définie.                                                                                                                                                                                                                                                                                                                                                                        |
| E0011                                                                                                                                                                 | Géométrie           | Violation de la contrainte de relation spatiale.                                          | Vérifie les relations spatiales entre deux types d’entité. <a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/05.DefinitionContraintesRelationsSpatiales.html"><span style="font-size: 8pt;">En savoir plus sur les </span><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/05.DefinitionContraintesRelationsSpatiales.html" style="font-size: 8pt;">contraintes de relations spatiales </a></a> |
| E0012                                                                                                                                                                 | Entité              | Valeur d'attribut hors expression régulière.                                              | Vérifie la valeur d’attribut. <a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.02.DefinitionContraintesAttributs.html#expression-reguliere" style="font-size: 8pt;">En savoir plus sur les contraintes définies pas expressions régulières</a>                                                                                                                                                                  |
| E0014                                                                                                                                                                 | Géométrie           | Violation de la contrainte de tesselation : chevauchement.                                | Vérifie la topologie entre entités. <a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.05.DefinitionContraintesTopologiques.html#caracteristiques-de-contraintes-topologique" style="font-size: 8pt;">En savoir plus sur les contraintes topologique (tesselation)</a>                                                                                                                                            |
| E0015                                                                                                                                                                 | Géométrie           | Violation de la contrainte de tesselation : espace.                                       | Vérifie la topologie entre entités. <a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.05.DefinitionContraintesTopologiques.html#caracteristiques-de-contraintes-topologique" style="font-size: 8pt;">En savoir plus sur les contraintes topologique (tesselation)</a>                                                                                                                                            |
| E0017                                                                                                                                                                 | Jeu de données      | Nombre d'erreurs maximum dépassé.                                                         | Stoppe le traitement de contrôle si le nombre d'erreurs dépasse la valeur maximale.                                                                                                                                                                                                                                                                                                                                                    |
| E0030                                                                                                                                                                 | Entité              | Violation de la contrainte de cardinalité : Enfant avec trop de parents.                  | Vérifie les cardinalités entre types d’entité enfant et parents. <a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/04.DefinitionContraintesCardinalites.html" style="font-size: 8pt;">En savoir plus sur les contraintes de cardinalités</a>                                                                                                                                                                        |
| E0031                                                                                                                                                                 | Entité              | Violation de la contrainte de cardinalité : Enfant sans parent.                           | Vérifie les cardinalités entre types d’entité enfant et parents. <a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/04.DefinitionContraintesCardinalites.html" style="font-size: 8pt;">En savoir plus sur les contraintes de cardinalités</a>                                                                                                                                                                        |
| E0032                                                                                                                                                                 | Entité              | Violation de la contrainte de cardinalité : Parent avec trop d'enfants.                   | Vérifie les cardinalités entre types d’entité enfant et parents. <a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/04.DefinitionContraintesCardinalites.html" style="font-size: 8pt;">En savoir plus sur les contraintes de cardinalités</a>                                                                                                                                                                        |
| E0033                                                                                                                                                                 | Entité              | Violation de la contrainte de cardinalité : Parent sans enfant.                           | Vérifie les cardinalités entre types d’entité enfant et parents. <a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/04.DefinitionContraintesCardinalites.html" style="font-size: 8pt;">En savoir plus sur les contraintes de cardinalités</a>                                                                                                                                                                        |
| E0034                                                                                                                                                                 | Entité              | Date non conforme.                                                                        | Vérifie le formalisme des champs de type Date. <a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.02.DefinitionContraintesAttributs.html#date" style="font-size: 8pt;">En savoir plus sur les formats de date</a>                                                                                                                                                                                                 |
| E0035                                                                                                                                                                 | Entité              | Non respect de la contrainte sur l'entité.                                                | Appelle une fonction spécifique spécifiée par le Designer et retourne une erreur spécifique. <a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.04.DefinitionContraintesSpecifiques.html#definition-de-contraintes-specifiques-sur-lentite-dans-larbre" style="font-size: 8pt;">En savoir plus sur les langages de définition de contraintes spécifiques</a>                                                      |
| E0036                                                                                                                                                                 | Géométrie           | Non respect du domaine spatial. Système de coordonnées différent du système de référence. | Vérifie le système de coordonnées d’un jeu de données.                                                                                                                                                                                                                                                                                                                                                                                 |
| E0037                                                                                                                                                                 | Géométrie           | Non respect du domaine spatial. Données en dehors des bornes.                             | Vérifie l’étendue d’un jeu de données.                                                                                                                                                                                                                                                                                                                                                                                                 |
| E0038                                                                                                                                                                 | Géométrie           | Géométrie non conforme (type de géométrie).                                               | Vérifie les coordonnées des géométries et leur interprétation. <a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.01.DefinitionTypesEntites.html" style="font-size: 8pt;">En savoir plus sur les contraintes d’interprétation et de type de géométrie</a>                                                                                                                                                         |
| E0039                                                                                                                                                                 | Entité              | Valeur d'attribut inférieure au minimum.                                                  | Vérifie si les valeurs numériques d’attributs sont dans une plage définie.                                                                                                                                                                                                                                                                                                                                                             |
| E0040                                                                                                                                                                 | Entité              | Valeur d'attribut supérieure au maximum.                                                  | Vérifie si les valeurs numériques d’attributs sont dans une plage définie.                                                                                                                                                                                                                                                                                                                                                             |
| E0041                                                                                                                                                                 | Géométrie           | Relation spatiale impossible, géométrie non conforme.                                     | Vérifie la validité des géométries avant le contrôle des relations spatiales.                                                                                                                                                                                                                                                                                                                                                          |
| E0042                                                                                                                                                                 | Géométrie           | Problème de relation spatiale, géométrie de l'entité liée non conforme.                   | Vérifie la validité des géométries avant le contrôle des relations spatiales.                                                                                                                                                                                                                                                                                                                                                          |
| E0043                                                                                                                                                                 | Entité              | Type d'attribut non conforme.                                                             | Vérifie le type des attributs (alphanumérique, entier, numérique).                                                                                                                                                                                                                                                                                                                                                                     |
| E0044                                                                                                                                                                 | Jeu de données      | Type d'entité non défini.                                                                 | Vérifie la présence /absence des types d’entité.                                                                                                                                                                                                                                                                                                                                                                                       |
| E0045                                                                                                                                                                 | Entité              | Violation de la contrainte Python sur l'entité.                                           | Appelle une fonction spécifique sur une entité, créée par le Designer et retourne une erreur spécifique.                                                                                                                                                                                                                                                                                                                               |
| E0046                                                                                                                                                                 | Code                | Erreur de codage de la contrainte Python sur l'entité.                                    | Erreur de codage Python par le Designer.                                                                                                                                                                                                                                                                                                                                                                                               |
| E0047                                                                                                                                                                 | Entité              | Valeur d'attribut hors expression régulière décrite par code python.                      | Appelle une fonction spécifique sur un attribut, créée par le Designer et retourne une erreur spécifique.                                                                                                                                                                                                                                                                                                                              |
| E0048                                                                                                                                                                 | Jeu de données      | Violation de la contrainte spécifique (Python) sur le jeu de données.                     | Appelle une fonction spécifique sur un jeu de données, créée par le Designer et retourne une erreur spécifique.                                                                                                                                                                                                                                                                                                                        |
| E0049                                                                                                                                                                 | Code                | Erreur de codage de la contrainte Python sur l'attribut.                                  | Erreur de codage Python par le Designer.                                                                                                                                                                                                                                                                                                                                                                                               |
| E0050                                                                                                                                                                 | Géométrie           | Erreur de contrainte de construction stricte - segment.                                   | Vérifie la géométrie d’un type d’entité par rapport à la géométrie d’un type d’entité de référence. <a href="../04-ContraintesRessources/03.03.ContraintesConstruction" style="font-size: 8pt;">En savoir plus sur les contraintes de construction</a>                                                                                                                                                                                 |
| E0051                                                                                                                                                                 | Géométrie           | Erreur de contrainte de construction stricte - vertex.                                    | Vérifie la géométrie d’un type d’entité par rapport à la géométrie d’un type d’entité de référence. En savoir plus sur les contraintes de construction                                                                                                                                                                                                                                                                                 |
| E0052                                                                                                                                                                 | Géométrie           | Erreur de contrainte de construction permissive - segment.                                | Vérifie la géométrie d’un type d’entité par rapport à la géométrie d’un type d’entité de référence. En savoir plus sur les contraintes de construction                                                                                                                                                                                                                                                                                 |
| E0054                                                                                                                                                                 | Géométrie           | Erreur de contrainte de construction permissive - polygone.                               | Vérifie la géométrie d’un type d’entité par rapport à la géométrie d’un type d’entité de référence. En savoir plus sur les contraintes de construction                                                                                                                                                                                                                                                                                 |
| E0055                                                                                                                                                                 | Format Personnalisé | Erreur définie et testée dans le format personnalisé.                                     | Vérifie une contrainte définie via un format personnalisé importé dans Qualigéo.                                                                                                                                                                                                                                                                                                                                                       |
| E0057                                                                                                                                                                 | Géométrie           | Géométrie non valide.                                                                     | Vérifie la géométrie d’entités avec utilisation possible des normes définies par l’OGC.                                                                                                                                                                                                                                                                                                                                                |